"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var SageMakerRuntimeClient_1 = require("./SageMakerRuntimeClient");
var InvokeEndpointCommand_1 = require("./commands/InvokeEndpointCommand");
var SageMakerRuntime = /** @class */ (function (_super) {
    tslib_1.__extends(SageMakerRuntime, _super);
    function SageMakerRuntime() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    SageMakerRuntime.prototype.invokeEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new InvokeEndpointCommand_1.InvokeEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return SageMakerRuntime;
}(SageMakerRuntimeClient_1.SageMakerRuntimeClient));
exports.SageMakerRuntime = SageMakerRuntime;
//# sourceMappingURL=SageMakerRuntime.js.map