/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { InvokeEndpointInput } from "../types/InvokeEndpointInput";
import { InvokeEndpointOutput } from "../types/InvokeEndpointOutput";
import { SageMakerRuntimeResolvedConfiguration } from "../SageMakerRuntimeConfiguration";
export * from "../types/InvokeEndpointInput";
export * from "../types/InvokeEndpointOutput";
export * from "../types/InvokeEndpointExceptionsUnion";
export declare class InvokeEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, InvokeEndpointInput, OutputTypesUnion, InvokeEndpointOutput, SageMakerRuntimeResolvedConfiguration, _stream.Readable> {
    readonly input: InvokeEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<InvokeEndpointInput, InvokeEndpointOutput, _stream.Readable>;
    constructor(input: InvokeEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SageMakerRuntimeResolvedConfiguration): __aws_sdk_types.Handler<InvokeEndpointInput, InvokeEndpointOutput>;
}
